package com.fs.hisStore.service;

import java.math.BigDecimal;
import java.util.List;
import com.fs.hisStore.domain.FsUserBillScrm;
import com.fs.hisStore.param.FsUserBillParam;
import com.fs.hisStore.param.FsUserBillQueryParam;
import com.fs.hisStore.vo.FsUserBillVO;

/**
 * 用户账单Service接口
 *
 * @author fs
 * @date 2022-04-03
 */
public interface IFsUserBillScrmService
{
    /**
     * 查询用户账单
     *
     * @param id 用户账单ID
     * @return 用户账单
     */
    public FsUserBillScrm selectFsUserBillById(Long id);

    /**
     * 查询用户账单列表
     *
     * @param fsUserBill 用户账单
     * @return 用户账单集合
     */
    public List<FsUserBillScrm> selectFsUserBillList(FsUserBillScrm fsUserBill);

    /**
     * 新增用户账单
     *
     * @param fsUserBill 用户账单
     * @return 结果
     */
    public int insertFsUserBill(FsUserBillScrm fsUserBill);

    /**
     * 修改用户账单
     *
     * @param fsUserBill 用户账单
     * @return 结果
     */
    public int updateFsUserBill(FsUserBillScrm fsUserBill);

    /**
     * 批量删除用户账单
     *
     * @param ids 需要删除的用户账单ID
     * @return 结果
     */
    public int deleteFsUserBillByIds(Long[] ids);

    /**
     * 删除用户账单信息
     *
     * @param id 用户账单ID
     * @return 结果
     */
    public int deleteFsUserBillById(Long id);

    void addBill(Long uid,String cate,Integer billType, String title, BigDecimal number, BigDecimal balance, String remark,String busId,Long tuiUserId);


    List<FsUserBillScrm> selectFsUserBillListQuery(FsUserBillQueryParam param);

    List<FsUserBillVO> selectFsUserBillListVO(FsUserBillParam fsUserBill);

    BigDecimal selectFsUserBillTotalByUserId(String userId, String cate);
}
